Debian Bug report logs - #697208
wordpress-l10n: missing translation files

version graph

Package: wordpress-l10n; Maintainer for wordpress-l10n is Craig Small <csmall@debian.org>; Source for wordpress-l10n is src:wordpress.

Reported by: Julien Lesaint <julien@titoon.net>

Date: Wed, 2 Jan 2013 16:51:01 UTC

Severity: normal

Found in version wordpress/3.5+dfsg-1

Fixed in version wordpress/3.5.1+dfsg-2

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#697208; Package wordpress-l10n. (Wed, 02 Jan 2013 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lesaint <julien@titoon.net>:
New Bug report received and forwarded. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Wed, 02 Jan 2013 16:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Lesaint <julien@titoon.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wordpress-l10n: missing translation files
Date: Wed, 02 Jan 2013 17:49:51 +0100
Package: wordpress-l10n
Version: 3.5+dfsg-1
Severity: normal

Good evening, happy new year,

I've noticed that once enabled, the French translation was incomplete,
at least in the admin panel. For example, all the entries in the Users
menu, or in /wp-admin/update-core.php.

Had a look at the localized version available here:
http://fr.wordpress.org/wordpress-3.5-fr_FR.zip

There are several files included in this archive which are not included
in the Debian package:

-rw-r--r-- 1 root root 363230 Dec 11 16:21 admin-fr_FR.mo
-rw-r--r-- 1 root root 513026 Dec 11 16:21 admin-fr_FR.po
-rw-r--r-- 1 root root  51363 Dec 11 16:21 admin-network-fr_FR.mo
-rw-r--r-- 1 root root  66780 Dec 11 16:21 admin-network-fr_FR.po
-rw-r--r-- 1 root root   9320 Dec 11 16:21 continents-cities-fr_FR.mo
-rw-r--r-- 1 root root  39535 Dec 11 16:21 continents-cities-fr_FR.po

Debian files:

http://packages.debian.org/sid/all/wordpress-l10n/filelist

And the number of messages present in the Debian version of fr_FR.mo
is lower than what is available in the .zip archive above:

- from the Debian package:

fr_FR.mo.debian: GNU message catalog (little endian), revision 0.0, 1659 messages

- from the localized version on http://fr.wordpress.org:

fr_FR.mo:        GNU message catalog (little endian), revision 0.0, 1705 messages

Once I copy the missing files to /usr/share/wordpress/wp-content/languages,
everything is OK (untranslated text is gone).

Can you please have a look at all this ?

Thank you in advance.
Regards,

JL.


-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.6
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages wordpress-l10n depends on:
ii  wordpress  3.5+dfsg-1

wordpress-l10n recommends no packages.

wordpress-l10n suggests no packages.

-- no debconf information

-- debsums errors found:
debsums: changed file /usr/share/wordpress/wp-content/languages/fr_FR.mo (from wordpress-l10n package)



Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#697208; Package wordpress-l10n. (Thu, 03 Jan 2013 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Thu, 03 Jan 2013 07:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 697208@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Julien Lesaint <julien@titoon.net>, 697208@bugs.debian.org
Subject: Re: Bug#697208: wordpress-l10n: missing translation files
Date: Thu, 3 Jan 2013 08:17:01 +0100
Hi,

On Wed, 02 Jan 2013, Julien Lesaint wrote:
> I've noticed that once enabled, the French translation was incomplete,
> at least in the admin panel. For example, all the entries in the Users
> menu, or in /wp-admin/update-core.php.
> 
> Had a look at the localized version available here:
> http://fr.wordpress.org/wordpress-3.5-fr_FR.zip

I'm not tracking every translation project. I use "debian/get-upstream-i18n"
in the wordpress source package to update the translations (just pass a
parameter with the latest upstream version).

This script is checking some upstream SVN repository where all
translations are supposed to be stored:
http://svn.automattic.com/wordpress-i18n

Is the latest French translation there?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#697208; Package wordpress-l10n. (Thu, 03 Jan 2013 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lesaint <julien@titoon.net>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Thu, 03 Jan 2013 13:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 697208@bugs.debian.org (full text, mbox):

From: Julien Lesaint <julien@titoon.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 697208@bugs.debian.org
Subject: Re: Bug#697208: wordpress-l10n: missing translation files
Date: Thu, 03 Jan 2013 13:55:51 +0100
On 01/03/2013 08:17 AM, Raphael Hertzog wrote:
> This script is checking some upstream SVN repository where all
> translations are supposed to be stored:
> http://svn.automattic.com/wordpress-i18n
>
> Is the latest French translation there?

Hello,

The files I had to add are present at this location indeed:

http://svn.automattic.com/wordpress-i18n/fr_FR/branches/3.5/messages/

wordpress-i18n - Revision 21254: /fr_FR/branches/3.5/messages

    ..
    admin-fr_FR.mo
    admin-fr_FR.po
    admin-network-fr_FR.mo
    admin-network-fr_FR.po
    continents-cities-fr_FR.mo
    continents-cities-fr_FR.po
    fr_FR.mo
    fr_FR.po

I don't know if this is the place the script is checking...

Regards,

-- 
Julien Lesaint.



Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 13:03:08 GMT) Full text and rfc822 format available.

Message sent on to Julien Lesaint <julien@titoon.net>:
Bug#697208. (Mon, 11 Feb 2013 13:03:15 GMT) Full text and rfc822 format available.

Message #20 received at 697208-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 697208-submitter@bugs.debian.org
Subject: Bug#697208 marked as pending
Date: Mon, 11 Feb 2013 12:59:06 +0000
tag 697208 pending
thanks

Hello,

Bug #697208 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/wordpress.git;a=commitdiff;h=2281ab2

---
commit 2281ab2e032a44cef49460e38dd449e0244d7430
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Feb 11 13:34:42 2013 +0100

    Update debian/get-upstream-i18n to include supplementary PO files
    
    And use a more efficient method to update them.
    
    Closes: #697208

diff --git a/debian/changelog b/debian/changelog
index 55ea1c8..46ece36 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ wordpress (3.5.1+dfsg-2) UNRELEASED; urgency=low
 
   * Only replace tinymce files by symlinks if the content is exactly the same.
     Closes: #700289
+  * Update debian/get-upstream-i18n to include supplementary PO files
+    and use a more efficient method to update them. Closes: #697208
 
  -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Feb 2013 11:28:00 +0100
 



Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Mon, 11 Feb 2013 13:21:03 GMT) Full text and rfc822 format available.

Notification sent to Julien Lesaint <julien@titoon.net>:
Bug acknowledged by developer. (Mon, 11 Feb 2013 13:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 697208-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 697208-close@bugs.debian.org
Subject: Bug#697208: fixed in wordpress 3.5.1+dfsg-2
Date: Mon, 11 Feb 2013 13:17:43 +0000
Source: wordpress
Source-Version: 3.5.1+dfsg-2

We believe that the bug you reported is fixed in the latest version of
wordpress, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697208@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated wordpress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 11 Feb 2013 13:56:18 +0100
Source: wordpress
Binary: wordpress wordpress-l10n
Architecture: source all
Version: 3.5.1+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 wordpress  - weblog manager
 wordpress-l10n - weblog manager - language files
Closes: 697208 700289
Changes: 
 wordpress (3.5.1+dfsg-2) unstable; urgency=low
 .
   * Only replace tinymce files by symlinks if the content is exactly the same.
     Closes: #700289
   * Update debian/get-upstream-i18n to include supplementary PO files
     and use a more efficient method to update them. Closes: #697208
Checksums-Sha1: 
 2fb839bd19e9909e7e8578a282353260fbe30ee4 2332 wordpress_3.5.1+dfsg-2.dsc
 d3b24e278631f5d1bd42803374767b737e53646a 5257496 wordpress_3.5.1+dfsg-2.debian.tar.xz
 83478a2fa9725ceff2872e5b26c4b32239ecdbea 4962216 wordpress_3.5.1+dfsg-2_all.deb
 af31e8e5f8222accdb50bb9b8cd53a4df5efc891 8819100 wordpress-l10n_3.5.1+dfsg-2_all.deb
Checksums-Sha256: 
 d8ced5b550f338e194855bb17c1fac4b9848ddaa4a5daac573de1ff45703ab0a 2332 wordpress_3.5.1+dfsg-2.dsc
 a157375f447ff84dd44c4645e117ee1f53a761baa3dd1c23f16d9d1dcc6ae7cd 5257496 wordpress_3.5.1+dfsg-2.debian.tar.xz
 7a71f5b478e0452973e8c3a40333f70941df3c6ab3fbd3c309374ac31d497453 4962216 wordpress_3.5.1+dfsg-2_all.deb
 d53d2bbf25858519f96dfb525676f6b41b406c6305c8b62ac92dc9daf21e1fb9 8819100 wordpress-l10n_3.5.1+dfsg-2_all.deb
Files: 
 7aaa16c7810022e687b2468d10d4f21c 2332 web optional wordpress_3.5.1+dfsg-2.dsc
 0884a5f612cccb6cc05de5ff6566b0c1 5257496 web optional wordpress_3.5.1+dfsg-2.debian.tar.xz
 1ffa5f541b2a3ddc30668d1103343127 4962216 web optional wordpress_3.5.1+dfsg-2_all.deb
 b5e626728b25e55c58346d26446475ca 8819100 localization optional wordpress-l10n_3.5.1+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJRGOtLAAoJEOYZBF3yrHKacs0P/iZZdg19PjJ8mBLnFk83l/Ib
BXer3leu+qMFA8BKKbHv94BXRiF+Drj+vnhkazTIextVcflcR5xIJgQmyVcG2IuG
xBHDXim02x4JyCS8+hzL0B3tlsGT12PRHUXnnQFdqrmKSY/olH7VBu8Zy3PSsh3s
sY1l/OdAPNzvYC89WFrMhH7j8Dsr4S9hUmL2idZBB//26EuFC5Gl2jWwERvLwkd5
KIxZ6ZoB8W/zvu66DKX8/Yqk9jM1tZdjkGolY0DJXp47bPgYoKtVnayBCq+VPvQB
wjHmPXSe/TUOZ+wb1DfdadA/Z1LAwnNZmIfFPAaxqUJH+dpFWy/TPLFLQ+JYyUY3
Tn14CXPuRFDOov0jMtjBsaAv9rfVa5iZdqt2RA1mDttt6mNHlA2zBredO/NvB/aD
o8UVmKxNNcqozWdM0Qv7ghxwgwKMR/v3U+wZ6TYiA1VDKcfoEQXY8Xd8DatB/MkM
q4T0/S5kqJwAIORAvboXJZTfvEDjsiJV9PgJDsng58ANsz2gsW38zZXBiOWP/JUg
Uiks0e+uexDDAUw3nqtUlQg0tWwyjLXcGv7uPiKvrkUiYM9Flzt2Gf1t29XTSWCi
ahm4a14ztIQ7Qx04UNjej48hq3bafIck6RufbVyxkQymfjZQQcZ93fzc2T9AcgVv
zDUyn38SPHibA4j0Sc+P
=W4BR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Mar 2013 07:25:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:08:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.